import { NO_ERRORS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getMockPipe } from '@shared/pipes/pipe.mock';

import { FlightDetailsRegistrationComponent } from './flight-details-registration.component';

describe('FlightDetailsRegistrationComponent', () => {
    let component: FlightDetailsRegistrationComponent;
    let fixture: ComponentFixture<FlightDetailsRegistrationComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            declarations: [
                FlightDetailsRegistrationComponent,
                getMockPipe('translate'),
            ],
            schemas: [NO_ERRORS_SCHEMA],
        }).compileComponents();
    });

    beforeEach(() => {
        fixture = TestBed.createComponent(FlightDetailsRegistrationComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
